Rotate signing secret
curl --request POST \
--url https://data.gravia.trade/v1/webhooks/{id}/rotate-secret \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://data.gravia.trade/v1/webhooks/{id}/rotate-secret"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://data.gravia.trade/v1/webhooks/{id}/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": null,
"data": {
"secret": "example-signing-secret",
"rotated_at": 1790121600000
},
"info": {
"version": "1.0.0",
"credits_consumed": 0
}
}{
"success": false,
"message": "<string>",
"data": null
}{
"success": false,
"message": "<string>",
"data": null
}{
"success": false,
"message": "<string>",
"data": null
}{
"success": false,
"message": "<string>",
"data": null
}{
"success": false,
"message": "<string>",
"data": null
}Webhooks
Rotate signing secret
Send an empty JSON object to generate and return a new callback signing secret. Save the returned secret. The webhook ID and management API key do not change.
POST
/
v1
/
webhooks
/
{id}
/
rotate-secret
Rotate signing secret
Authorizations
Raw database-backed API key.
Path Parameters
Body
application/json
The body is of type object.